Sql Server 2008

Sep 21, 2008 at 9:26 PM
Hi

I upgraded to 2008 recently and now I'm having some problems running the app against it.
I followed the instructions and installed SMO 2005 Install Package (x86).

When I run the app I get the following error:

C:\Backup>expressmaint -S juliosbox\sqlexpress10 -D school2 -T DB -R c:\backup -RU WEEKS -RV 1 -B c:\backup -BU DAYS -BV 1 -V -C
Expressmaint error : Failed to connect to server juliosbox\sqlexpress10.
Expressmaint error : This SQL Server version (10.0) is not supported.

I verified the name of the instance and is OK.
Any idea on making it run against 2008?

Thanks

Julio
Nov 10, 2008 at 2:25 PM
I have the same problem.

André
Nov 25, 2008 at 10:04 PM
I tried installing the SQL 2005 post SP2 Cumulative update 9 on my server running SQL 2008 but the hotfix ends up looking for a valid SQL 2005 installation and cannot find one (which is normal, I'm running 2008).
As a result, I am unable to install it and ExpressMaint throws the same error mentionned above.

Is there any way to force the installation of that hotfix even though no 2005 installation can be found ?
Dec 14, 2008 at 5:36 PM
Same here, W2003 Server, SQL 2008 Express, SMO 2005 Install Package, when trying to install SQL 2005 post SP2 Comulative update 9 hotfix it also complains that it can't find the installed product to update.

Anyone know what file needs to be updated?  I can copy the dll from one of our SQL 2005 servers.
Coordinator
Dec 15, 2008 at 10:45 PM
There is now a SQL 2008 specific release available on the Releases page. This is compiled against the SQL 2008 SMO assemblies and so doesn't require any additional installations. This is a short term measure until v2 is released which will remove the SMO dependency to avoid these version dependencies going forward as well as add new functionality.